package com.capgemini.reports.logging;

import lombok.extern.slf4j.Slf4j;

/** This class merely re-directs logs into this package to have all main events gathered in a single log file. */
@Slf4j
public final class EventsLogger {

    private EventsLogger() {
        // Nothing to do...
    }

    /**
     * Logs a message.
     * 
     * @param msg a message
     */
    public static void log(final String msg) {
        log.info(msg);
    }

    /**
     * Logs an error message, as well as the {@link Throwable} event that caused the error.
     * 
     * @param msg a message.
     * @param error an error
     */
    public static void log(final String msg, final Throwable error) {
        log.error(msg, error);
    }
}
